package com.docus.server.collect.dept.mq;

import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author jiashi
 * 梅州中医医院 MQ 监听
 */
@Component
public class JmsIbmMqDeptConsumer {
    @Resource(name = "deptJmsMqCollectServiceImpl")
    private IDeptMqCollectService deptMqCollectService;

    /**
     * 订阅队列（注册科室）
     *
     * @param message 科室信息
     */
//    @JmsIbmListener(destination = "TJ_createDepartment")
    public void addDept(String message) {
        deptMqCollectService.addDept(message);
    }


    /**
     * 订阅队列（变更科室）
     *
     * @param message 科室信息
     */
//    @JmsIbmListener(destination = "TJ_updateDepartment")
    public void updateDept(String message) {
        deptMqCollectService.updateDept(message);
    }

}
